Get Offering Seat Map
curl --request GET \
--url https://api.example.com/api/v1/customer/offerings/trips/{tripId}/trip-itineraries/{tripItineraryId}/seat-mapimport requests
url = "https://api.example.com/api/v1/customer/offerings/trips/{tripId}/trip-itineraries/{tripItineraryId}/seat-map"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/customer/offerings/trips/{tripId}/trip-itineraries/{tripItineraryId}/seat-map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"floor": "FIRST",
"seats": [
{
"seatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "1A",
"labelNumber": 1,
"row": 1,
"column": "A",
"side": "LEFT",
"status": "AVAILABLE",
"seatType": {
"seatTypeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"name": "Executive",
"color": "#3B82F6",
"price": 5000
}
}
]
}
]{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Internal Server Error",
"statusCode": 500
}Offerings
Get Offering Seat Map
Returns offering seat map.
GET
/
api
/
v1
/
customer
/
offerings
/
trips
/
{tripId}
/
trip-itineraries
/
{tripItineraryId}
/
seat-map
Get Offering Seat Map
Path Parameters
Trip identifier
Example:
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b"
Trip itinerary identifier
Example:
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
⌘I